Package org.zkoss.zel.impl.parser

## Class AstMapData

- java.lang.Object
- - org.zkoss.zel.impl.lang.ELSupport
  - - org.zkoss.zel.impl.parser.SimpleNode
    - - org.zkoss.zel.impl.parser.AstMapData

- All Implemented Interfaces:
    `Node`

      public class AstMapData
      extends SimpleNode

- - ### Field Summary

    - ### Fields inherited from class org.zkoss.zel.impl.parser.SimpleNode

      `children, id, image, parent`

    - ### Fields inherited from class org.zkoss.zel.impl.lang.ELSupport

      `COERCE_NULL_TO_NULL, COERCE_TO_ZERO`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AstMapData​(int id)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.Class<?>` | `getType​(EvaluationContext ctx)` |
    `java.lang.Object` | `getValue​(EvaluationContext ctx)` |

    - ### Methods inherited from class org.zkoss.zel.impl.parser.SimpleNode

      `accept, equals, getImage, getMethodInfo, getValueReference, hashCode, invoke, isParametersProvided, isReadOnly, jjtAddChild, jjtClose, jjtGetChild, jjtGetNumChildren, jjtGetNumSiblings, jjtGetParent, jjtOpen, jjtSetParent, setImage, setValue, toString`

    - ### Methods inherited from class org.zkoss.zel.impl.lang.ELSupport

      `coerceToBoolean, coerceToDateTime, coerceToEnum, coerceToNumber, coerceToNumber, coerceToNumber, coerceToString, coerceToType, coerceToTypeForSetValue, compare, equals, isBigDecimalOp, isBigIntegerOp, isDateTimeType, isDoubleOp, isLongOp, isStringFloat`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AstMapData

          public AstMapData​(int id)

  - ### Method Detail

    - #### getValue

          public java.lang.Object getValue​(EvaluationContext ctx)
                                    throws ELException

      Specified by:
        `getValue` in interface `Node`
      Overrides:
        `getValue` in class `SimpleNode`
      Throws:
        `ELException`

    - #### getType

          public java.lang.Class<?> getType​(EvaluationContext ctx)
                                     throws ELException

      Specified by:
        `getType` in interface `Node`
      Overrides:
        `getType` in class `SimpleNode`
      Throws:
        `ELException`